GPMon Help Index

Group Policy Monitor Help Index

Group Policy Monitor (GPMonitor) is aimed at closing the missing link in closed loop management, namely ‘Centralized reporting’. GP Monitor service works by invoking itself at every policy refresh. It creates a *.cab file which contains current policy data and places it at a specified location. GP Monitor UI is then used to view the data in richer detail – this tool shows historical policy and settings, policy differences, and makes it easy to navigate through historical snapshots and to trace changes.

Both the tools are wrapped in an MSI called GP Monitor.msi. The MSI should be deployed through GP-Software Installation & deployment type should be machine assignment. Accompanying GPMonitor.adm should also be deployed.

GP Monitor Service:

GPMon Service monitors GP refreshes. It then uploads refresh related Info to a centralized share. The share location is set through a Custom adm GPMonitor.adm . The Policy also allows you to configure the number of refreshes after which the data should be uploaded to the centralized share. By default this value is every 8 refreshes. Service Security: The service is highly secure as it does not listen on the network. The only input to the service is a couple of Registry keys which are under secure HKLM. The service uses secure System %temp% directory for storing intermediate file. All the above mean that the service has almost no Attack Surface Area and therefore is highly secure.

GP Monitor UI.

The MSI, after getting installed, creates a short cut named Group Policy Monitor in Administrative Tools folder. Use this Short cut to launch the Tool. For an Introduction to using GP Monitor UI please go through File menu & TreeView menu.

UI Commands

File menu

TreeView Popup Menu

Edit menu

View menu

Help menu


(File menu commands)

The File menu offers the following commands:

New Query | Creates a new query.
Delete RefreshInfo... | Deletes RefreshInfo from GPMON Share
Exit | Exits GPMonUI.


(Window menu commands)

TreeView is generating as a result of executing a Query

The TreeView provides following Functionality:

- Displays all the machines selected by the Query.

- For each Machine, User Policy Refresh and Machine policy refresh data is displayed in separate nodes.

- The time at which each policy refresh occurred is Displayed.

- A machine icon with a red error mark means that at least one Policy refresh out of the all the Policy refreshes selected by the Query has an error.

- Different Policy Refresh Icons convey different information about the policy refresh.

Popup menu commands

First select a Policy Refresh and then right click. This will show TreeView popup menu. TreeView PopupMenu offers following commands:

1- Generate Rsop Report... This command will display a Report in the right hand pane.

2- Generate Detailed RSOP View... This command launches detailed Rsop Info. (Much like GPMC).

3- Show Xml Diff... This command displays an XMLDiff between two GP Refreshes. Though very crude, it can sometimes be helpful. XmlDiff is disabled if only one policy refresh is selected. In order to select two policy refreshes press 'ctrl' & left click the second policy refresh. Then right click to get the popup menu. The selected Policy Refreshes do not have to belong to the same Machine\User.

All the above commands can take a couple of minutes to complete.


(Edit menu commands)

The Edit menu offers the following commands:

Copy Copies data from the document to the clipboard.


(View menu commands)

The View menu offers the following commands:

Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.


(Help menu commands)

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Offers you an index to topics on which you can get help.
About | Displays the version number of this application.


(status bar)

The status bar is displayed at the bottom of the GPMon window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you press them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicate which of the following keys are latched down:

Indicator Description

CAP The Caps Lock key is latched down.

NUM The Num Lock key is latched down.

SCRL The Scroll Lock key is latched down.


(toolbar)

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in GPMon.

To hide or display the toolbar, click Toolbar from the View menu.


(Choose Color Dialog)

Choose Color dialog box

<< Write application-specific help here. >>


(File Open dialog box)

The following options allow you to specify which file to open:

File Name

Specifies the file you want to open. This box lists files with the extension you select in the List Files of Type field.

List Files of Type

Specifies the type of file you want to open:

<< List your application's file types here. >>

Drives

Specifies the drive in which <<GPMon>> stores the file that you want to open.

Directories

Specifies the directory in which <<GPMon>> stores the file that you want to open.

Network

Click this button to connect to a network location, assigning it a new drive letter.


(File Save As dialog box)

The following options allow you to specify the name and location of the file you're about to save:

File Name

Specifies a file name to save a document with a different name. <<YourApp>> adds the extension you specify in the Save File As Type box.

Drives

Specifies the drive in which you want to store the document.

Directories

Specifies the directory in which you want to store the document.

Network

Click this button to connect to a network location, assigning it a new drive letter.

<< Add other File Save As dialog box options depending on which ones your application chooses through the OFN_ flags of the OPENFILENAME structure used by the CFileDialog. >>


(Find Dialog)

Find dialog box

<< Write application-specific help here. >>


(Choose Font Dialog)

Choose Font dialog box

<< Write application-specific help here. >>


(File New dialog box)

<< Delete this help topic if your application supports only one document type. >>

Specify the type of document you want to create:

<< List your application's document types here >>


(Replace Dialog)

Replace dialog box

<< Write application-specific help here. >>


(No Help Available)

No help is available for this message box.

<< If you want to author help specific to each message box prompt, then remove the AFX_HIDP_xxx values from the [ALIAS] section of your .hpj file, and author a topic for each AFX_HIDP_xxx value. For example, AFX_HIDP_INVALID_FILENAME is the help topic for the Invalid Filename message box. >>


(Docking Toolbar Area)

This area is provided to contain dockable toolbars, such as the default toolbar created for the application. Docking toolbars can be dragged onto or off this client area, and arrange themselves according to the space available.


(About command (Help menu))

This command displays the copyright notice and version number of your copy of GPMON.


(File Exit command)

Exit command (File menu)

Use this command to end your GPMon session. You can also use the Close command on the application Control menu.


(Help Using Help Command)

Context Help command

Use this command to obtain help on some portion of <<YourApp>>. When you choose the toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the <<YourApp>> window, such as another toolbar button. The help topic will be shown for the item you clicked.


(Edit Clear Command)

Clear command (Edit menu)

<< Write application-specific help here. >>


(Edit Clear All)

Clear All command (Edit menu)

<< Write application-specific help here. >>


(Copy command (Edit menu))

Use this command to copy selected data onto the clipboard. This command is unavailable if there is no data currently selected.

Copying data to the clipboard replaces the contents previously stored there.


(Cut command (Edit menu))

Use this command to remove the currently selected data from the document and put it on the clipboard. This command is unavailable if there is no data currently selected.

Cutting data to the clipboard replaces the contents previously stored there.


(Edit Find Command)

Find command (Edit menu)

<< Write application-specific help here. >>


(Paste command (Edit menu))

Use this command to insert a copy of the clipboard contents at the insertion point. This command is unavailable if the clipboard is empty.


(Redo command (Edit menu))

<< Write application-specific help here. >>


(Edit Repeat Command)

Repeat command (Edit menu)

Use this command to repeat the last editing command carried out. The Repeat menu item changes to Can't Repeat if you cannot repeat your last action.


(Edit Replace Command)

Replace command (Edit menu)

<< Write application-specific help here. >>


(Undo/Can't Undo command (Edit menu))

<< Your application's user interface for Undo may differ from the one described below. Modify this help text accordingly. >>

Use this command to reverse the last editing action, if possible. The name of the command changes, depending on what the last action was. The Undo command changes to Can't Undo on the menu if you cannot reverse your last action.


(File Close command)

Delete RefreshInfo... command (File menu)

Use this command to cleanup Policy refresh info from the share.

With time GPMONXmlShare (the place where GPmonitorservice dumps RefreshInfo) will start filling up. This command allows you to cleanup the share and recycles disk space. Cleanup operation requires write & delete access to the Share.

The dialog box is similar to that of a query. With the difference that data necessary to display the refreshes selected thought this query will be spared, every thing else will be deleted.


(File 1, 2, 3, 4 command)

1, 2, 3, 4 command (File menu)

Use the numbers and filenames listed at the bottom of the File menu to open the last four documents you closed. Choose the number that corresponds with the document you want to open.


(File New command)

New Query command (File menu)

Use this command to create a new Query in Group Policy Monitor UI.

This Command shows a dialog box. The dialog box has three fields.

1- Path to GPMON Share. The UI automatically populates this with the share that the machine is configured to report its 'GP refreshes' to. However you can override it by specifying it your self.

2- Optional filters. For Example: To Check Results for 'Joe-dev.microsoft.com', you can type 'joe','Jo' or 'Joe-dev' etc... Multiple filters are seperated by commmas','.

3- Number of refreshes to display. The number of refreshes that eventually get displayed may be a bit higher than what is specified here.

Once you hit go the left hand TreeView is populated. Depending on the amount of data, populating TreeView may take considerable amount of time. It is therefore advised to not use wild cards like ‘*’ in the filter.


(File Open command)

Open command (File menu)

Use this command to open an existing document in a new window. You can open multiple documents at once. Use the Window menu to switch among the multiple open documents. See Window 1, 2, ... command.

You can create new documents with the New command.


(File Save command)

Save command (File menu)

Use this command to save the active document to its current name and directory. When you save a document for the first time, <<YourApp>> displays the Save As dialog box so you can name your document. If you want to change the name and directory of an existing document before you save it, choose the Save As command.


(File Save As command)

Save As command (File menu)

Use this command to save and name the active document. <<YourApp>> displays the Save As dialog box so you can name your document.

To save a document with its existing name and directory, use the Save command.


(Send command (File menu))

Use this command to send the active document through e-mail. This command presents a mail window with the active document attached to it. You may then fill out the To field, Subject field, and so on, and add text to the body of the message. When you are finished, you can click the Send button to send the message.


(Index command (Help menu))

Use this command to display the opening screen of help. From the opening screen, you can jump to step-by-step instructions for using GPMON and various types of reference information.

Once you open help, you can click the Contents button whenever you want to return to the opening screen.


(Using Help command (Help menu))

Use this command for instructions about using help.


(Title Bar)

<< Show your application's title bar here. >>

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control menu button

Document Control menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


(No Help Available)

No help is available for this area of the window.


(Next Pane Command)

Next Pane

<< Write application-specific help here. >>


(Prev Pane Command)

Prev Pane

<< Write application-specific help here. >>


(Close command (Control menus))

Use this command to close the active window or dialog box.

Double-clicking a Control menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.


(Maximize command (System menu))

Use this command to enlarge the active window to fill the available space.


(System Minimize Command)

Minimize command (application Control menu)

Use this command to reduce the <<YourApp>> window to an icon.


(Move command (Control menu))

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.


(Next Window command (document Control menu))

Use this command to switch to the next open document window. <<YourApp>> determines which window is next according to the order in which you opened the windows.


(Previous Window command (document Control menu))

Use this command to switch to the previous open document window. <<YourApp>> determines which window is previous according to the order in which you opened the windows.


(Restore command (Control menu))

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


(Size command (System menu))

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the direction keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a direction key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.


(Switch to command (application Control menu))

Use this command to display a list of all open applications. Use this task List to switch to or close an application on the list.

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List

Specifies the application you want to switch to or close.

Switch To

Makes the selected application active.

End Task

Closes the selected application.

Cancel

Closes the Task List box.

Cascade

Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.

Tile

Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.

Arrange Icons

Arranges the icons of all minimized applications across the bottom of the screen.


(View Ruler Command)

Ruler command (View menu)

<< Write application-specific help here. >>


(View Status Bar Command)

Status Bar command (View menu)

Use this command to display and hide the status bar, which describes the action to be executed by the selected menu item or pressed toolbar button, and keyboard latch state. A checkmark appears next to the menu item when the status bar is displayed.

See Status Bar for help on using the status bar.


(View Toolbar command)

Toolbar command (View menu)

Use this command to display and hide the toolbar, which includes buttons for some of the most common commands in GPMon, such as File 'New Query'. A checkmark appears next to the menu item when the toolbar is displayed.

See Toolbar for help on using the toolbar.


(1, 2, ... command (Window menu))

Policy Refresh Icons (TreeView)

GP Monitor Tree View displays four types of Policy Refresh Icons.

1- Refresh Icon with a 'red error mark' means that this policy refresh encountered an error.

2- Red refresh Icon means that GP Engine picked up changes during this policy refresh. The Changes were applied successfully.

3- Blue refresh Icon means that GP Engine did not pick any changes during this policy refresh. No errors were encountered.

4- Refresh Icon with a 'blue exclamation mark' means that during this policy refresh GP Engine detected that a foreground refresh is needed. No errors were encountered. If there was both a Policy Change and a Foreground refresh required then Policy Change Icon is given precedence in the TreeView.


(Window Arrange Icons Command)

Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this d ocument window.


(Cascade command (Window menu))

Use this command to arrange multiple opened windows in an overlapped fashion.


(New command (Window menu))

Use this command to open a new window with the same contents as the active window. You can open multiple document windows to display different parts or views of a document at the same time. If you change the contents in one window, all other windows containing the same document reflect those changes. When you open a new window, it becomes the active window and is displayed on top of all other open windows.


(Split Command (Window menu))

Use this command to split the active window into panes. You may then use the mouse or the keyboard arrows to move the splitter bars. When you are finished, press the mouse button or enter to leave the splitter bars in their new location. Pressing es cape keeps the splitter bars in their original location. << In a single document interface application, this command will appear on the View menu. >>


(Tile command (Window menu))

Use this command to arrange multiple opened windows in a nonoverlapped fashion.


(Tile Horizontal command (Window menu))

Use this command to vertically arrange multiple opened windows in a nonoverlapped fashion.


(Tile Vertical command (Window menu))

Use this command to arrange multiple opened windows side by side.


(Modifying the Document)

<< Write application-specific help here that provides an overview of how the user should modify a document using your application.

If your application supports multiple document types and you want to have a distinct help topic for each, then use the help context ID generated by running the MAKEHELP.BAT file produced by the application wizard. Alternately, run MAKEHM as follows:

makehm IDR_HIDR_,0x2000 resource.h

If the IDR_ symbol for one of your document types is, for example, IDR_CHARTTYPE, then the help context ID generated by MAKEHM will be HIDR_CHARTTYPE.

Note: The application wizard defines the HIDR_DOC1TYPE help context ID used by this help topic for the first document type supported by your application. The application wizard produces an alias in the .hpj file for your application, mapping HIDR_DOC1TYPE to the HIDR_ produced by MAKEHM for that document type. >>


(Scroll bars)

Displayed at the right and bottom edges of the document window. The scroll boxes inside the scrollbars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.

<< Describe the actions of the various parts of the scrollbar, according to how they behave in your application. >>